Bug 1019298 - Cinnamon shows “Anthy” as the default Japanese input method although Anthy is not even installed by default in F20
Cinnamon shows “Anthy” as the default Japanese input method although Anthy is...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 08:41 EDT by Mike FABIAN
Modified: 2015-06-29 08:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:38:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cinnamon-f20-anthy-although-anthy-is-not-installed.png (375.14 KB, image/png)
2013-10-15 08:41 EDT, Mike FABIAN
no flags Details
cinnamon-control-center-region-gnome-control-center-region-compared.png (249.58 KB, image/png)
2013-10-15 08:48 EDT, Mike FABIAN
no flags Details
cinnamon-control-center-region-no-japanese-input-methods-can-be-added.png (347.51 KB, image/png)
2013-10-15 08:57 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-10-15 08:41:57 EDT
Created attachment 812500 [details]
cinnamon-f20-anthy-although-anthy-is-not-installed.png

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-20-Beta-TC3-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Beta-TC3-x86_64-netinst.iso.qcow2-output.log -name Fedora-20-Beta-TC3-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-TC3/Fedora-20-Beta-TC3-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-20-Beta-TC3-x86_64-netinst.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb
Comment 1 Mike FABIAN 2013-10-15 08:45:23 EDT
- I did a default install of Fedora 20 Beta TC3 in qemu using the
  commandline shown in comment#0.

- Japanese was used as the installation language
- US English keyboard was added manually in Anaconda
- After the default Gnome installation had finished, the other
  desktop environments were added with

  “sudo yum groupinstall cinnamon-desktop-environment kde-desktop-environment ...

- Log in from gdm to cinnamon
- Check what input method is offered for Japanese by clicking the
  input method icon in the panel

→ “anthy” is shown as Japanese input medhod (See screenshot).
  The screenshot also shows in the terminal that ibus-anthy
  is not even installed but ibus-kkc (which is not the default
  Japanese input method of Fedora) is installed.
  
  The “gnome-control-center region” which is also shown in the screenshot for
  reference shows that in Gnome the input method
  “日本語 (かな漢字)” (which is ibus-kkc) is correctly listed.
Comment 2 Mike FABIAN 2013-10-15 08:48:16 EDT
Created attachment 812502 [details]
cinnamon-control-center-region-gnome-control-center-region-compared.png

>  The “gnome-control-center region” which is also shown in the screenshot for
>  reference shows that in Gnome the input method
>  “日本語 (かな漢字)” (which is ibus-kkc) is correctly listed.

This extra screenshot shows both

   gnome-control-center region

and

   cinnamon-control-center region

In the cinnamon-control-center, only

   日本語      ← Japanese keyboard layout
   英語 (US)   ← US English keyboard layout

are shown, not input methods at all are shown.
Comment 3 Mike FABIAN 2013-10-15 08:51:26 EDT
By the way, the missing letters seen in the screenshot

   “Switch to previou   ource”

are probably because of https://bugzilla.redhat.com/show_bug.cgi?id=1010445
Comment 4 Mike FABIAN 2013-10-15 08:57:42 EDT
Created attachment 812504 [details]
cinnamon-control-center-region-no-japanese-input-methods-can-be-added.png

This screenshot shows, that using the [+] button
in the “Input Source” tab of 

    cinnamon-control-center region


no Japanese input method can be added.

Only Japanese keyboard layouts are shown, no input methods, although
ibus-kkc is installed.
Comment 5 Mike FABIAN 2015-04-21 02:05:25 EDT
In Fedora 22 Beta, there seems to be no support for input methods in cinnamon-control-center at all. Apparently there is no ibus integration.
But one can use ibus-setup, which works. I.e. the behaviour is
different in Fedora 22 and this bug does not apply to Fedora 22.
Comment 6 Fedora End Of Life 2015-05-29 05:34:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:38:36 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.